Bug 791296 - (CVE-2012-0037) CVE-2012-0037 raptor: XML External Entity (XXE) attack via RDF files
CVE-2012-0037 raptor: XML External Entity (XXE) attack via RDF files
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20120322,repo...
: Security
Depends On: 804494 804495 804496 804498 805938 805941 805944
Blocks: 796333 796335 796336
  Show dependency treegraph
 
Reported: 2012-02-16 11:46 EST by Jan Lieskovsky
Modified: 2016-11-08 11:16 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-18 06:44:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-02-16 11:46:58 EST
A XML External Entity (XXE) flaw was found in the way raptor, an Resource Description Framework (RDF) parser toolkit, processed certain RDF/XML format based input files. If an attacker provided a specially-crafted RDF file, and tricked the local user into parsing it, it could lead to local file inclusion, or, potentially arbitrary code execution with the privileges of the user parsing the file (privileges of the "rapper" executable or privileges of an application, linked against the librdf library).

Acknowledgements:

Red Hat would like to thank Timothy D. Morgan of VSR for reporting this issue.
Comment 4 Jan Lieskovsky 2012-02-16 14:24:01 EST
This issue affects the version of the openoffice.org package, as shipped with Red Hat Enterprise Linux 5.

--

This issue affects the version of the raptor package, as shipped with Red Hat Enterprise Linux 6.

--

This issue affects the versions of the raptor package, as shipped with Fedora EPEL 5.

--

This issue affects the versions of the raptor package, as shipped with Fedora release of 15 and 16.

--

This issue affects the version of the raptor2 package, as shipped with Fedora release of 16.
Comment 11 Jan Lieskovsky 2012-03-14 12:27:18 EDT
Preliminary embargo date for public disclosure of this issue has been set up to Thursday, March 22, 2012 at 12:00 UTC time.
Comment 16 Jan Lieskovsky 2012-03-22 10:13:57 EDT
Created raptor tracking bugs for this issue

Affects: epel-5 [bug 805938]
Comment 17 Jan Lieskovsky 2012-03-22 10:15:32 EDT
Created raptor tracking bugs for this issue

Affects: fedora-all [bug 805941]
Comment 18 Jan Lieskovsky 2012-03-22 10:16:33 EDT
Created raptor2 tracking bugs for this issue

Affects: fedora-16 [bug 805944]
Comment 19 errata-xmlrpc 2012-03-22 13:28:02 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0410 https://rhn.redhat.com/errata/RHSA-2012-0410.html
Comment 20 errata-xmlrpc 2012-03-22 14:43:31 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:0411 https://rhn.redhat.com/errata/RHSA-2012-0411.html

Note You need to log in before you can comment on or make changes to this bug.